Referrals

Update referral

Updates an existing referral's Stripe customer ID or subscription status.

Referral subscription statuses are kept in sync automatically from your Stripe events. Only use this endpoint when you need to manually change a referral's stripe_customer_id or subscription_status

PUT
/referrals/{id}

Authorization

Authorization
Required
Bearer <token>

API key authentication. Use your API key as the bearer token. The organization that owns the key must have an active or trialing PromoteKit subscription; otherwise requests fail with a 403 subscription_error.

In: header

Request Body

application/jsonRequired

stripe_customer_idstring

Stripe customer ID of the referred customer. Pass null to clear it.

subscription_statusstring

Subscription status of the referred customer

Value in: "active" | "signed_up" | "trialing" | "canceled" | "past_due"

Path Parameters

id
Required
string

Resource UUID

Format: "uuid"
curl -X PUT "https://www.promotekit.com/api/v1/referrals/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "stripe_customer_id": "cus_NffrFeUfNV2Hib",
    "subscription_status": "active"
  }'

Referral updated

{
  "success": true,
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "email": "user@example.com",
    "subscription_status": "active",
    "signup_date": "2019-08-24T14:15:22Z",
    "stripe_customer_id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "affiliate": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "email": "user@example.com",
      "first_name": "string",
      "last_name": "string",
      "payout_email": "user@example.com",
      "links": [
        {
          "url": "string",
          "code": "string"
        }
      ],
      "promo_codes": [
        {
          "code": "string",
          "external_id": "string"
        }
      ],
      "clicks": 0,
      "approved": true,
      "banned": true,
      "details": "string",
      "custom_fields": [
        {
          "id": "string",
          "label": "string",
          "value": "string"
        }
      ],
      "new_paid_referral_notifications": true,
      "created_at": "2019-08-24T14:15:22Z",
      "campaign": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "website_url": "string",
        "commission_type": "percentage",
        "commission_amount": 0,
        "is_default": true,
        "limit_type": "string",
        "limit_amount": 0,
        "code_mode": "link",
        "reference_coupon": "string",
        "custom_commission_type": "string",
        "welcome_message": "string",
        "approval_needed": true,
        "collect_details": true,
        "details_text": "string",
        "custom_fields": [
          {
            "id": "string",
            "label": "string",
            "type": "text",
            "options": [
              "string"
            ],
            "required": true
          }
        ],
        "hide_emails": true,
        "dashboard_text": "string",
        "cookie_duration": 0,
        "first_payment_commission": {
          "enabled": true,
          "type": "string",
          "amount": 0
        }
      }
    }
  }
}